## org.eclipse.m2m.atl.adt.ui.text
Class AtlContentAssistPreference

    java.lang.Object
      org.eclipse.m2m.atl.adt.ui.text.AtlContentAssistPreference

    public class AtlContentAssistPreference

extends java.lang.Object

Method Summary
`static void` `changeConfiguration(org.eclipse.jface.text.contentassist.ContentAssistant assistant, org.eclipse.jface.preference.IPreferenceStore store, org.eclipse.jface.util.PropertyChangeEvent event)` Handles the preference fPreferenceeStore changes for the content assistant.
`static void` `configure(org.eclipse.jface.text.contentassist.ContentAssistant assistant, org.eclipse.jface.preference.IPreferenceStore store)` Configure the given content assistant from the given store.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### changeConfiguration

    public static void changeConfiguration(org.eclipse.jface.text.contentassist.ContentAssistant assistant,
                                           org.eclipse.jface.preference.IPreferenceStore store,
                                           org.eclipse.jface.util.PropertyChangeEvent event)

  Handles the preference fPreferenceeStore changes for the content assistant.

  Parameters:
    `assistant` - the given content assistant
    `store` - the given preference store
    `event` - the given property change event

### configure

    public static void configure(org.eclipse.jface.text.contentassist.ContentAssistant assistant,
                                 org.eclipse.jface.preference.IPreferenceStore store)

  Configure the given content assistant from the given store.

Copyright 2007 IBM Corporation and others. All Rights Reserved.